target datalayout = "e-p:64:64:64-i1:8:8-i8:8:8-i16:16:16-i32:32:32-i64:64:64-f32:32:32-f64:64:64-v16:16:16-v24:32:32-v32:32:32-v48:64:64-v64:64:64-v96:128:128-v128:128:128-v192:256:256-v256:256:256-v512:512:512-v1024:1024:1024"
target triple = "spir64-unknown-unknown"

%spirv.Pipe._1 = type opaque
%spirv.ReserveId = type opaque
%spirv.Pipe._0 = type opaque

; Function Attrs: nounwind
define spir_kernel void @test_pipe_subgroups_divergence_write(i32 addrspace(1)* %src, %spirv.Pipe._1 addrspace(1)* %out_pipe, i32 addrspace(1)* %active_work_item_buffer) #0 {
entry:
  %0 = call spir_func <3 x i64> @BuiltInGlobalInvocationId() #1
  %call = extractelement <3 x i64> %0, i32 0
  %conv = trunc i64 %call to i32
  %call1 = call spir_func i32 @BuiltInSubgroupId() #1
  %rem = urem i32 %call1, 2
  %cmp = icmp eq i32 %rem, 0
  br i1 %cmp, label %if.then, label %if.end9

if.then:                                          ; preds = %entry
  %idxprom = sext i32 %conv to i64
  %arrayidx = getelementptr inbounds i32, i32 addrspace(1)* %active_work_item_buffer, i64 %idxprom
  store i32 1, i32 addrspace(1)* %arrayidx, align 4
  %call3 = call spir_func i32 @BuiltInSubgroupSize() #1
  %1 = call spir_func %spirv.ReserveId* @OpGroupReserveWritePipePackets_i32_Pipe_wo_i32_i32_i32(i32 3, %spirv.Pipe._1 addrspace(1)* %out_pipe, i32 %call3, i32 4, i32 4) #0
  %call4 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %1) #0
  br i1 %call4, label %if.then5, label %if.end

if.then5:                                         ; preds = %if.then
  %call6 = call spir_func i32 @BuiltInSubgroupLocalInvocationId() #1
  %idxprom7 = sext i32 %conv to i64
  %arrayidx8 = getelementptr inbounds i32, i32 addrspace(1)* %src, i64 %idxprom7
  %2 = addrspacecast i32 addrspace(1)* %arrayidx8 to i8 addrspace(4)*
  %3 = call spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)* %out_pipe, %spirv.ReserveId* %1, i32 %call6, i8 addrspace(4)* %2, i32 4, i32 4) #0
  call spir_func void @OpGroupCommitWritePipe_i32_Pipe_wo_ReserveId_i32_i32(i32 3, %spirv.Pipe._1 addrspace(1)* %out_pipe, %spirv.ReserveId* %1, i32 4, i32 4) #0
  br label %if.end

if.end:                                           ; preds = %if.then5, %if.then
  br label %if.end9

if.end9:                                          ; preds = %if.end, %entry
  ret void
}

; Function Attrs: nounwind
declare spir_func %spirv.ReserveId* @OpGroupReserveWritePipePackets_i32_Pipe_wo_i32_i32_i32(i32, %spirv.Pipe._1 addrspace(1)*, i32, i32, i32) #0

; Function Attrs: nounwind
declare spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId*) #0

; Function Attrs: nounwind
declare spir_func i32 @OpReservedWritePipe_Pipe_wo_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._1 addrspace(1)*, %spirv.ReserveId*, i32, i8 addrspace(4)*, i32, i32) #0

; Function Attrs: nounwind
declare spir_func void @OpGroupCommitWritePipe_i32_Pipe_wo_ReserveId_i32_i32(i32, %spirv.Pipe._1 addrspace(1)*, %spirv.ReserveId*, i32, i32) #0

; Function Attrs: nounwind
define spir_kernel void @test_pipe_subgroups_divergence_read(%spirv.Pipe._0 addrspace(1)* %in_pipe, i32 addrspace(1)* %dst) #0 {
entry:
  %0 = call spir_func <3 x i64> @BuiltInGlobalInvocationId() #1
  %call = extractelement <3 x i64> %0, i32 0
  %conv = trunc i64 %call to i32
  %call1 = call spir_func i32 @BuiltInSubgroupId() #1
  %rem = urem i32 %call1, 2
  %cmp = icmp eq i32 %rem, 0
  br i1 %cmp, label %if.then, label %if.end7

if.then:                                          ; preds = %entry
  %call3 = call spir_func i32 @BuiltInSubgroupSize() #1
  %1 = call spir_func %spirv.ReserveId* @OpGroupReserveReadPipePackets_i32_Pipe_ro_i32_i32_i32(i32 3, %spirv.Pipe._0 addrspace(1)* %in_pipe, i32 %call3, i32 4, i32 4) #0
  %call4 = call spir_func i1 @OpIsValidReserveId_ReserveId(%spirv.ReserveId* %1) #0
  br i1 %call4, label %if.then5, label %if.end

if.then5:                                         ; preds = %if.then
  %call6 = call spir_func i32 @BuiltInSubgroupLocalInvocationId() #1
  %idxprom = sext i32 %conv to i64
  %arrayidx = getelementptr inbounds i32, i32 addrspace(1)* %dst, i64 %idxprom
  %2 = addrspacecast i32 addrspace(1)* %arrayidx to i8 addrspace(4)*
  %3 = call spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)* %in_pipe, %spirv.ReserveId* %1, i32 %call6, i8 addrspace(4)* %2, i32 4, i32 4) #0
  call spir_func void @OpGroupCommitReadPipe_i32_Pipe_ro_ReserveId_i32_i32(i32 3, %spirv.Pipe._0 addrspace(1)* %in_pipe, %spirv.ReserveId* %1, i32 4, i32 4) #0
  br label %if.end

if.end:                                           ; preds = %if.then5, %if.then
  br label %if.end7

if.end7:                                          ; preds = %if.end, %entry
  ret void
}

; Function Attrs: nounwind
declare spir_func %spirv.ReserveId* @OpGroupReserveReadPipePackets_i32_Pipe_ro_i32_i32_i32(i32, %spirv.Pipe._0 addrspace(1)*, i32, i32, i32) #0

; Function Attrs: nounwind
declare spir_func i32 @OpReservedReadPipe_Pipe_ro_ReserveId_i32_p4i8_i32_i32(%spirv.Pipe._0 addrspace(1)*, %spirv.ReserveId*, i32, i8 addrspace(4)*, i32, i32) #0

; Function Attrs: nounwind
declare spir_func void @OpGroupCommitReadPipe_i32_Pipe_ro_ReserveId_i32_i32(i32, %spirv.Pipe._0 addrspace(1)*, %spirv.ReserveId*, i32, i32) #0

; Function Attrs: nounwind readnone
declare spir_func <3 x i64> @BuiltInGlobalInvocationId() #1

; Function Attrs: nounwind readnone
declare spir_func i32 @BuiltInSubgroupId() #1

; Function Attrs: nounwind readnone
declare spir_func i32 @BuiltInSubgroupSize() #1

; Function Attrs: nounwind readnone
declare spir_func i32 @BuiltInSubgroupLocalInvocationId() #1

attributes #0 = { nounwind }
attributes #1 = { nounwind readnone }

!opencl.kernels = !{!0, !7}
!IGCMetadata = !{!14}
!opencl.enable.FP_CONTRACT = !{}
!opencl.spir.version = !{!249}
!opencl.ocl.version = !{!249}
!opencl.used.extensions = !{!250}
!opencl.used.optional.core.features = !{!251}
!opencl.compiler.options = !{!252}

!0 = !{void (i32 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, i32 addrspace(1)*)* @test_pipe_subgroups_divergence_write, !1, !2, !3, !4, !5, !6}
!1 = !{!"kernel_arg_addr_space", i32 1, i32 1, i32 1}
!2 = !{!"kernel_arg_access_qual", !"none", !"write_only", !"none"}
!3 = !{!"kernel_arg_type", !"int*", !"int", !"int*"}
!4 = !{!"kernel_arg_type_qual", !"", !"pipe", !""}
!5 = !{!"kernel_arg_base_type", !"int*", !"pipe", !"int*"}
!6 = !{!"kernel_arg_name", !"src", !"out_pipe", !"active_work_item_buffer"}
!7 = !{void (%spirv.Pipe._0 addrspace(1)*, i32 addrspace(1)*)* @test_pipe_subgroups_divergence_read, !8, !9, !10, !11, !12, !13}
!8 = !{!"kernel_arg_addr_space", i32 1, i32 1}
!9 = !{!"kernel_arg_access_qual", !"read_only", !"none"}
!10 = !{!"kernel_arg_type", !"int", !"int*"}
!11 = !{!"kernel_arg_type_qual", !"pipe", !""}
!12 = !{!"kernel_arg_base_type", !"pipe", !"int*"}
!13 = !{!"kernel_arg_name", !"in_pipe", !"dst"}
!14 = !{!"ModuleMD", !15, !16, !71, !130, !160, !176, !188, !198, !200, !201, !212, !213, !214, !215, !218, !219, !220, !221, !222, !223, !224, !225, !226, !227, !228, !229, !231, !235, !236, !237, !238, !239, !240, !115, !241, !242, !244, !247, !248}
!15 = !{!"isPrecise", i1 false}
!16 = !{!"compOpt", !17, !18, !19, !20, !21, !22, !23, !24, !25, !26, !27, !28, !29, !30, !31, !32, !33, !34, !35, !36, !37, !38, !39, !40, !41, !42, !43, !44, !45, !46, !47, !48, !49, !50, !51, !52, !53, !54, !55, !56, !57, !58, !59, !60, !61, !62, !63, !64, !65, !66, !67, !68, !69, !70}
!17 = !{!"DenormsAreZero", i1 false}
!18 = !{!"CorrectlyRoundedDivSqrt", i1 false}
!19 = !{!"OptDisable", i1 false}
!20 = !{!"MadEnable", i1 false}
!21 = !{!"NoSignedZeros", i1 false}
!22 = !{!"NoNaNs", i1 false}
!23 = !{!"FloatRoundingMode", i32 0}
!24 = !{!"FloatCvtIntRoundingMode", i32 3}
!25 = !{!"VISAPreSchedRPThreshold", i32 0}
!26 = !{!"SetLoopUnrollThreshold", i32 0}
!27 = !{!"UnsafeMathOptimizations", i1 false}
!28 = !{!"FiniteMathOnly", i1 false}
!29 = !{!"FastRelaxedMath", i1 false}
!30 = !{!"DashGSpecified", i1 false}
!31 = !{!"FastCompilation", i1 false}
!32 = !{!"UseScratchSpacePrivateMemory", i1 true}
!33 = !{!"RelaxedBuiltins", i1 false}
!34 = !{!"SubgroupIndependentForwardProgressRequired", i1 true}
!35 = !{!"GreaterThan2GBBufferRequired", i1 true}
!36 = !{!"GreaterThan4GBBufferRequired", i1 true}
!37 = !{!"DisableA64WA", i1 false}
!38 = !{!"ForceEnableA64WA", i1 false}
!39 = !{!"PushConstantsEnable", i1 true}
!40 = !{!"HasPositivePointerOffset", i1 false}
!41 = !{!"HasBufferOffsetArg", i1 false}
!42 = !{!"BufferOffsetArgOptional", i1 true}
!43 = !{!"HasSubDWAlignedPtrArg", i1 false}
!44 = !{!"replaceGlobalOffsetsByZero", i1 false}
!45 = !{!"forcePixelShaderSIMDMode", i32 0}
!46 = !{!"pixelShaderDoNotAbortOnSpill", i1 false}
!47 = !{!"UniformWGS", i1 false}
!48 = !{!"disableVertexComponentPacking", i1 false}
!49 = !{!"disablePartialVertexComponentPacking", i1 false}
!50 = !{!"PreferBindlessImages", i1 false}
!51 = !{!"UseBindlessMode", i1 false}
!52 = !{!"UseLegacyBindlessMode", i1 true}
!53 = !{!"disableMathRefactoring", i1 false}
!54 = !{!"atomicBranch", i1 false}
!55 = !{!"ForceMinSimdSizeForFastestCS", i1 false}
!56 = !{!"EnableFastestLinearScan", i1 false}
!57 = !{!"UseStatelessforPrivateMemory", i1 false}
!58 = !{!"EnableTakeGlobalAddress", i1 false}
!59 = !{!"IsLibraryCompilation", i1 false}
!60 = !{!"FastVISACompile", i1 false}
!61 = !{!"MatchSinCosPi", i1 false}
!62 = !{!"CaptureCompilerStats", i1 false}
!63 = !{!"EnableZEBinary", i1 false}
!64 = !{!"ExcludeIRFromZEBinary", i1 false}
!65 = !{!"allowDisableRematforCS", i1 false}
!66 = !{!"DisableIncSpillCostAllAddrTaken", i1 false}
!67 = !{!"DisableCPSOmaskWA", i1 false}
!68 = !{!"DisableFastestGopt", i1 false}
!69 = !{!"WaForceHalfPromotion", i1 false}
!70 = !{!"EnableUndefAlphaOutputAsRed", i1 true}
!71 = !{!"FuncMD", !72, !73, !128, !129}
!72 = !{!"FuncMDMap[0]", void (i32 addrspace(1)*, %spirv.Pipe._1 addrspace(1)*, i32 addrspace(1)*)* @test_pipe_subgroups_divergence_write}
!73 = !{!"FuncMDValue[0]", !74, !75, !79, !80, !81, !101, !107, !108, !109, !110, !111, !112, !113, !114, !115, !116, !117, !118, !119, !120, !121, !122, !123, !124, !125, !126, !127}
!74 = !{!"localOffsets"}
!75 = !{!"workGroupWalkOrder", !76, !77, !78}
!76 = !{!"dim0", i32 0}
!77 = !{!"dim1", i32 0}
!78 = !{!"dim2", i32 0}
!79 = !{!"funcArgs"}
!80 = !{!"functionType", !"KernelFunction"}
!81 = !{!"rtInfo", !82, !83, !84, !85, !86, !87, !88, !89, !90, !91, !92, !93, !94, !95, !96, !100}
!82 = !{!"callableShaderType", !"NumberOfCallableShaderTypes"}
!83 = !{!"isContinuation", i1 false}
!84 = !{!"hasTraceRayPayload", i1 false}
!85 = !{!"hasHitAttributes", i1 false}
!86 = !{!"hasCallableData", i1 false}
!87 = !{!"ShaderStackSize", i32 0}
!88 = !{!"ShaderHash", i64 0}
!89 = !{!"ShaderName", !""}
!90 = !{!"ParentName", !""}
!91 = !{!"SlotNum", i1* null}
!92 = !{!"NOSSize", i32 0}
!93 = !{!"Entries"}
!94 = !{!"SpillUnions"}
!95 = !{!"CustomHitAttrSizeInBytes", i32 0}
!96 = !{!"Types", !97, !98, !99}
!97 = !{!"FrameStartTys"}
!98 = !{!"ArgumentTys"}
!99 = !{!"FullFrameTys"}
!100 = !{!"Aliases"}
!101 = !{!"resAllocMD", !102, !103, !104, !105, !106}
!102 = !{!"uavsNumType", i32 0}
!103 = !{!"srvsNumType", i32 0}
!104 = !{!"samplersNumType", i32 0}
!105 = !{!"argAllocMDList"}
!106 = !{!"inlineSamplersMD"}
!107 = !{!"maxByteOffsets"}
!108 = !{!"IsInitializer", i1 false}
!109 = !{!"IsFinalizer", i1 false}
!110 = !{!"CompiledSubGroupsNumber", i32 0}
!111 = !{!"hasInlineVmeSamplers", i1 false}
!112 = !{!"localSize", i32 0}
!113 = !{!"localIDPresent", i1 false}
!114 = !{!"groupIDPresent", i1 false}
!115 = !{!"privateMemoryPerWI", i32 0}
!116 = !{!"globalIDPresent", i1 false}
!117 = !{!"hasSyncRTCalls", i1 false}
!118 = !{!"hasNonKernelArgLoad", i1 false}
!119 = !{!"hasNonKernelArgStore", i1 false}
!120 = !{!"hasNonKernelArgAtomic", i1 false}
!121 = !{!"UserAnnotations"}
!122 = !{!"m_OpenCLArgAddressSpaces"}
!123 = !{!"m_OpenCLArgAccessQualifiers"}
!124 = !{!"m_OpenCLArgTypes"}
!125 = !{!"m_OpenCLArgBaseTypes"}
!126 = !{!"m_OpenCLArgTypeQualifiers"}
!127 = !{!"m_OpenCLArgNames"}
!128 = !{!"FuncMDMap[1]", void (%spirv.Pipe._0 addrspace(1)*, i32 addrspace(1)*)* @test_pipe_subgroups_divergence_read}
!129 = !{!"FuncMDValue[1]", !74, !75, !79, !80, !81, !101, !107, !108, !109, !110, !111, !112, !113, !114, !115, !116, !117, !118, !119, !120, !121, !122, !123, !124, !125, !126, !127}
!130 = !{!"pushInfo", !131, !132, !133, !136, !137, !138, !139, !140, !141, !142, !143, !156, !157, !158, !159}
!131 = !{!"pushableAddresses"}
!132 = !{!"bindlessPushInfo"}
!133 = !{!"dynamicBufferInfo", !134, !135}
!134 = !{!"firstIndex", i32 0}
!135 = !{!"numOffsets", i32 0}
!136 = !{!"MaxNumberOfPushedBuffers", i32 0}
!137 = !{!"inlineConstantBufferSlot", i32 -1}
!138 = !{!"inlineConstantBufferOffset", i32 -1}
!139 = !{!"inlineConstantBufferGRFOffset", i32 -1}
!140 = !{!"constants"}
!141 = !{!"inputs"}
!142 = !{!"constantReg"}
!143 = !{!"simplePushInfoArr", !144, !153, !154, !155}
!144 = !{!"simplePushInfoArrVec[0]", !145, !146, !147, !148, !149, !150, !151, !152}
!145 = !{!"cbIdx", i32 0}
!146 = !{!"pushableAddressGrfOffset", i32 -1}
!147 = !{!"pushableOffsetGrfOffset", i32 -1}
!148 = !{!"offset", i32 0}
!149 = !{!"size", i32 0}
!150 = !{!"isStateless", i1 false}
!151 = !{!"isBindless", i1 false}
!152 = !{!"simplePushLoads"}
!153 = !{!"simplePushInfoArrVec[1]", !145, !146, !147, !148, !149, !150, !151, !152}
!154 = !{!"simplePushInfoArrVec[2]", !145, !146, !147, !148, !149, !150, !151, !152}
!155 = !{!"simplePushInfoArrVec[3]", !145, !146, !147, !148, !149, !150, !151, !152}
!156 = !{!"simplePushBufferUsed", i32 0}
!157 = !{!"pushAnalysisWIInfos"}
!158 = !{!"inlineRTGlobalPtrOffset", i32 0}
!159 = !{!"rtSyncSurfPtrOffset", i32 0}
!160 = !{!"psInfo", !161, !162, !163, !164, !165, !166, !167, !168, !169, !170, !171, !172, !173, !174, !175}
!161 = !{!"BlendStateDisabledMask", i8 0}
!162 = !{!"SkipSrc0Alpha", i1 false}
!163 = !{!"DualSourceBlendingDisabled", i1 false}
!164 = !{!"ForceEnableSimd32", i1 false}
!165 = !{!"outputDepth", i1 false}
!166 = !{!"outputStencil", i1 false}
!167 = !{!"outputMask", i1 false}
!168 = !{!"blendToFillEnabled", i1 false}
!169 = !{!"forceEarlyZ", i1 false}
!170 = !{!"hasVersionedLoop", i1 false}
!171 = !{!"forceSingleSourceRTWAfterDualSourceRTW", i1 false}
!172 = !{!"NumSamples", i8 0}
!173 = !{!"blendOptimizationMode"}
!174 = !{!"colorOutputMask"}
!175 = !{!"WaDisableVRS", i1 false}
!176 = !{!"csInfo", !177, !178, !179, !180, !181, !25, !26, !182, !183, !184, !185, !186, !54, !187}
!177 = !{!"maxWorkGroupSize", i32 0}
!178 = !{!"waveSize", i32 0}
!179 = !{!"ComputeShaderSecondCompile"}
!180 = !{!"forcedSIMDSize", i8 0}
!181 = !{!"forceTotalGRFNum", i32 0}
!182 = !{!"forcedVISAPreRAScheduler", i1 false}
!183 = !{!"disableLocalIdOrderOptimizations", i1 false}
!184 = !{!"disableDispatchAlongY", i1 false}
!185 = !{!"neededThreadIdLayout", i1* null}
!186 = !{!"forceTileYWalk", i1 false}
!187 = !{!"ResForHfPacking"}
!188 = !{!"msInfo", !189, !190, !191, !192, !193, !194, !195, !196, !197}
!189 = !{!"PrimitiveTopology", i32 3}
!190 = !{!"MaxNumOfPrimitives", i32 0}
!191 = !{!"MaxNumOfVertices", i32 0}
!192 = !{!"MaxNumOfPerPrimitiveOutputs", i32 0}
!193 = !{!"MaxNumOfPerVertexOutputs", i32 0}
!194 = !{!"WorkGroupSize", i32 0}
!195 = !{!"WorkGroupMemorySizeInBytes", i32 0}
!196 = !{!"IndexFormat", i32 6}
!197 = !{!"SubgroupSize", i32 0}
!198 = !{!"taskInfo", !199, !194, !195, !197}
!199 = !{!"MaxNumOfOutputs", i32 0}
!200 = !{!"NBarrierCnt", i32 0}
!201 = !{!"rtInfo", !202, !203, !204, !205, !206, !207, !208, !209, !210, !211}
!202 = !{!"RayQueryAllocSizeInBytes", i32 0}
!203 = !{!"NumContinuations", i32 -1}
!204 = !{!"RTAsyncStackAddrspace", i32 -1}
!205 = !{!"RTAsyncStackSurfaceStateOffset", i1* null}
!206 = !{!"SWHotZoneAddrspace", i32 -1}
!207 = !{!"SWHotZoneSurfaceStateOffset", i1* null}
!208 = !{!"SWStackAddrspace", i32 -1}
!209 = !{!"SWStackSurfaceStateOffset", i1* null}
!210 = !{!"RTSyncStackAddrspace", i32 -1}
!211 = !{!"RTSyncStackSurfaceStateOffset", i1* null}
!212 = !{!"CurUniqueIndirectIdx", i32 0}
!213 = !{!"inlineDynTextures"}
!214 = !{!"inlineResInfoData"}
!215 = !{!"immConstant", !216, !217}
!216 = !{!"data"}
!217 = !{!"sizes"}
!218 = !{!"inlineConstantBuffers"}
!219 = !{!"inlineGlobalBuffers"}
!220 = !{!"GlobalPointerProgramBinaryInfos"}
!221 = !{!"ConstantPointerProgramBinaryInfos"}
!222 = !{!"GlobalBufferAddressRelocInfo"}
!223 = !{!"ConstantBufferAddressRelocInfo"}
!224 = !{!"forceLscCacheList"}
!225 = !{!"SrvMap"}
!226 = !{!"RasterizerOrderedByteAddressBuffer"}
!227 = !{!"MinNOSPushConstantSize", i32 0}
!228 = !{!"inlineProgramScopeOffsets"}
!229 = !{!"shaderData", !230}
!230 = !{!"numReplicas", i32 0}
!231 = !{!"URBInfo", !232, !233, !234}
!232 = !{!"has64BVertexHeaderInput", i1 false}
!233 = !{!"has64BVertexHeaderOutput", i1 false}
!234 = !{!"hasVertexHeader", i1 true}
!235 = !{!"UseBindlessImage", i1 false}
!236 = !{!"enableRangeReduce", i1 false}
!237 = !{!"allowMatchMadOptimizationforVS", i1 false}
!238 = !{!"disableMemOptforNegativeOffsetLoads", i1 false}
!239 = !{!"statefulResourcesNotAliased", i1 false}
!240 = !{!"disableMixMode", i1 false}
!241 = !{!"PrivateMemoryPerFG"}
!242 = !{!"capabilities", !243}
!243 = !{!"globalVariableDecorationsINTEL", i1 false}
!244 = !{!"m_ShaderResourceViewMcsMask", !245, !246}
!245 = !{!"m_ShaderResourceViewMcsMaskVec[0]", i64 0}
!246 = !{!"m_ShaderResourceViewMcsMaskVec[1]", i64 0}
!247 = !{!"computedDepthMode", i32 0}
!248 = !{!"isHDCFastClearShader", i1 false}
!249 = !{i32 3, i32 0}
!250 = !{!"cl_khr_subgroups"}
!251 = !{}
!252 = !{!"-cl-std=CL3.0"}
